public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-libs/x265/
Date: Sun, 22 Sep 2024 11:08:54 +0000 (UTC)	[thread overview]
Message-ID: <1727003269.4b7ffaeaa89f7cc50efc5e6b947f2853a0956aae.sam@gentoo> (raw)

commit:     4b7ffaeaa89f7cc50efc5e6b947f2853a0956aae
Author:     Paul Zander <negril.nx+gentoo <AT> gmail <DOT> com>
AuthorDate: Fri Sep 20 22:56:26 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Sep 22 11:07:49 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4b7ffaea

media-libs/x265: build cli for native_abi only, fix bug 939909

Old logic was $(multilib_is_native_abi || echo "-DENABLE_CLI=OFF"), so we need !
here.

Closes: https://bugs.gentoo.org/939909
Signed-off-by: Paul Zander <negril.nx+gentoo <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/38717
Signed-off-by: Sam James <sam <AT> gentoo.org>

 media-libs/x265/{x265-3.5-r5.ebuild => x265-3.5-r6.ebuild} | 4 ++--
 media-libs/x265/{x265-3.6.ebuild => x265-3.6-r1.ebuild}    | 4 ++--
 media-libs/x265/x265-9999.ebuild                           | 4 ++--
 3 files changed, 6 insertions(+), 6 deletions(-)

diff --git a/media-libs/x265/x265-3.5-r5.ebuild b/media-libs/x265/x265-3.5-r6.ebuild
similarity index 97%
rename from media-libs/x265/x265-3.5-r5.ebuild
rename to media-libs/x265/x265-3.5-r6.ebuild
index c9db10613904..f38a58ad7981 100644
--- a/media-libs/x265/x265-3.5-r5.ebuild
+++ b/media-libs/x265/x265-3.5-r6.ebuild
@@ -6,7 +6,7 @@ EAPI=8
 inherit cmake flag-o-matic multilib-minimal multibuild
 
 DESCRIPTION="Library for encoding video streams into the H.265/HEVC format"
-HOMEPAGE="http://x265.org/ https://bitbucket.org/multicoreware/x265_git/"
+HOMEPAGE="https://www.x265.org/ https://bitbucket.org/multicoreware/x265_git/"
 
 if [[ ${PV} = 9999* ]]; then
 	inherit git-r3
@@ -108,7 +108,7 @@ multilib_src_configure() {
 		-DGIT_ARCHETYPE=1 #814116
 		-DLIB_INSTALL_DIR="$(get_libdir)"
 	)
-	if multilib_is_native_abi; then
+	if ! multilib_is_native_abi; then
 		mycmakeargs+=(
 			-DENABLE_CLI="no"
 		)

diff --git a/media-libs/x265/x265-3.6.ebuild b/media-libs/x265/x265-3.6-r1.ebuild
similarity index 97%
rename from media-libs/x265/x265-3.6.ebuild
rename to media-libs/x265/x265-3.6-r1.ebuild
index ba013c73d378..7fe46d01d35a 100644
--- a/media-libs/x265/x265-3.6.ebuild
+++ b/media-libs/x265/x265-3.6-r1.ebuild
@@ -6,7 +6,7 @@ EAPI=8
 inherit cmake flag-o-matic multilib-minimal multibuild
 
 DESCRIPTION="Library for encoding video streams into the H.265/HEVC format"
-HOMEPAGE="http://x265.org/ https://bitbucket.org/multicoreware/x265_git/"
+HOMEPAGE="https://www.x265.org/ https://bitbucket.org/multicoreware/x265_git/"
 
 if [[ ${PV} = 9999* ]]; then
 	inherit git-r3
@@ -108,7 +108,7 @@ multilib_src_configure() {
 		-DGIT_ARCHETYPE=1 #814116
 		-DLIB_INSTALL_DIR="$(get_libdir)"
 	)
-	if multilib_is_native_abi; then
+	if ! multilib_is_native_abi; then
 		mycmakeargs+=(
 			-DENABLE_CLI="no"
 		)

diff --git a/media-libs/x265/x265-9999.ebuild b/media-libs/x265/x265-9999.ebuild
index bf2855a23f64..472c0eb7e4fd 100644
--- a/media-libs/x265/x265-9999.ebuild
+++ b/media-libs/x265/x265-9999.ebuild
@@ -6,7 +6,7 @@ EAPI=8
 inherit cmake flag-o-matic multilib-minimal multibuild
 
 DESCRIPTION="Library for encoding video streams into the H.265/HEVC format"
-HOMEPAGE="http://x265.org/ https://bitbucket.org/multicoreware/x265_git/"
+HOMEPAGE="https://www.x265.org/ https://bitbucket.org/multicoreware/x265_git/"
 
 if [[ ${PV} = 9999* ]]; then
 	inherit git-r3
@@ -108,7 +108,7 @@ multilib_src_configure() {
 		-DGIT_ARCHETYPE=1 #814116
 		-DLIB_INSTALL_DIR="$(get_libdir)"
 	)
-	if multilib_is_native_abi; then
+	if ! multilib_is_native_abi; then
 		mycmakeargs+=(
 			-DENABLE_CLI="no"
 		)


             reply	other threads:[~2024-09-22 11:08 UTC|newest]

Thread overview: 121+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-09-22 11:08 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-11-24 11:02 [gentoo-commits] repo/gentoo:master commit in: media-libs/x265/ Sam James
2024-11-23 17:19 Sam James
2024-11-23 16:44 Michał Górny
2024-08-26  7:15 Sam James
2024-08-25 15:44 Sam James
2024-03-18  7:20 Sam James
2024-03-18  7:20 Sam James
2023-12-21 16:01 Arthur Zamarin
2023-12-21 15:15 Sam James
2023-12-21 14:12 Arthur Zamarin
2023-12-21 14:12 Arthur Zamarin
2023-12-21 12:56 Sam James
2023-12-21 11:55 Sam James
2023-12-21  9:57 Sam James
2023-03-25  3:32 Sam James
2023-03-10  7:45 Sam James
2023-03-03  6:28 Viorel Munteanu
2022-11-28  7:58 WANG Xuerui
2022-11-12 17:48 Matt Turner
2022-03-09 23:46 Sam James
2022-02-20  9:14 Agostino Sarubbo
2022-02-20  1:48 Sam James
2022-02-20  1:48 Sam James
2022-02-19 14:27 Jakov Smolić
2022-02-19 14:27 Jakov Smolić
2022-02-19  7:19 Arthur Zamarin
2022-02-19  3:38 Sam James
2022-02-19  3:38 Sam James
2021-10-06  1:02 Sam James
2021-09-25  3:43 Ionen Wolkens
2021-08-03  7:35 Alexis Ballier
2020-09-07  8:47 Sergei Trofimovich
2020-09-07  8:20 Sergei Trofimovich
2020-09-06  7:49 Sergei Trofimovich
2020-09-04  4:54 Sam James
2020-09-04  0:21 Sam James
2020-09-04  0:21 Sam James
2020-09-03 14:38 Thomas Deutschmann
2020-08-25 12:37 Alexis Ballier
2020-06-08 19:34 Georgy Yakovlev
2020-06-08 18:23 Georgy Yakovlev
2020-06-07 23:24 Georgy Yakovlev
2020-06-07 12:42 Alexis Ballier
2020-06-05 15:21 Alexis Ballier
2020-06-05 15:21 Alexis Ballier
2020-05-25  5:11 Georgy Yakovlev
2020-05-25  5:11 Georgy Yakovlev
2020-05-24 20:59 Thomas Deutschmann
2020-05-24 20:25 Thomas Deutschmann
2020-05-24 20:25 Thomas Deutschmann
2020-05-24 20:25 Thomas Deutschmann
2020-05-24 20:25 Thomas Deutschmann
2020-05-24 20:25 Thomas Deutschmann
2020-05-24 20:25 Thomas Deutschmann
2020-05-24 20:25 Thomas Deutschmann
2020-05-24 20:25 Thomas Deutschmann
2020-05-24 20:25 Thomas Deutschmann
2020-01-20 17:43 Alexis Ballier
2019-12-29 19:34 Mike Gilbert
2019-10-04 17:28 Alexis Ballier
2019-09-29  2:56 Mike Gilbert
2019-08-26 15:33 Alexis Ballier
2019-07-02 17:13 Alexis Ballier
2019-05-05 19:05 Mike Gilbert
2019-02-06 13:56 Alexis Ballier
2018-11-11 22:58 Andreas Sturmlechner
2018-10-15 18:12 Markus Meier
2018-10-11 16:28 Alexis Ballier
2018-10-07 21:27 Matt Turner
2018-10-07 21:27 Matt Turner
2018-10-06 22:08 Sergei Trofimovich
2018-10-01  0:07 Thomas Deutschmann
2018-09-30 21:38 Sergei Trofimovich
2018-09-28  8:01 Mikle Kolyada
2018-06-19 13:41 Alexis Ballier
2018-04-18 13:12 Mikle Kolyada
2018-04-12 14:43 Sergei Trofimovich
2018-04-03  6:26 Sergei Trofimovich
2018-02-25 18:21 Thomas Deutschmann
2018-02-24 11:06 Sergei Trofimovich
2018-02-24  7:20 Jason Zaman
2018-02-23 23:17 Sergei Trofimovich
2018-02-22 13:40 Alexis Ballier
2018-02-22 13:40 Alexis Ballier
2017-12-09 18:41 Craig Andrews
2017-11-30 13:57 Alexis Ballier
2017-08-31 12:37 Tim Harder
2017-08-31 12:37 Tim Harder
2017-07-16 12:17 Alexis Ballier
2017-07-16 12:17 Alexis Ballier
2017-06-17 15:08 Sergei Trofimovich
2017-06-17 15:08 Sergei Trofimovich
2017-06-16  9:36 Alexis Ballier
2017-06-16  9:36 Alexis Ballier
2017-04-23 15:12 Alexis Ballier
2017-03-12 11:39 Alexis Ballier
2017-02-24  8:30 Michael Weber
2017-02-17 11:10 Alexis Ballier
2017-02-16  5:00 Alexis Ballier
2017-02-07 11:51 Alexis Ballier
2017-02-07 11:51 Alexis Ballier
2017-02-04 15:21 Agostino Sarubbo
2017-02-04 12:12 Jeroen Roovers
2017-01-04 12:08 Alexis Ballier
2017-01-01 12:43 Agostino Sarubbo
2016-12-26 16:45 Alexis Ballier
2016-09-27 10:25 Alexis Ballier
2016-02-03 20:40 Markus Meier
2016-01-29 19:00 Alexis Ballier
2016-01-27 15:06 Jeroen Roovers
2016-01-25 10:25 Agostino Sarubbo
2016-01-25 10:25 Agostino Sarubbo
2015-11-08  7:22 Jeroen Roovers
2015-10-16  5:17 Jeroen Roovers
2015-10-15 16:40 Alexis Ballier
2015-10-15 14:41 Alexis Ballier
2015-10-15 14:28 Alexis Ballier
2015-10-15 14:13 Alexis Ballier
2015-10-11 11:48 Alexis Ballier
2015-10-11 11:29 Alexis Ballier

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1727003269.4b7ffaeaa89f7cc50efc5e6b947f2853a0956aae.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox